Get a stage after the assessment
Get a single stage that comes after the specified assessment in a course sequence.
Returns a stage (CourseSequenceStage object) that comes after the specified assessment in a course sequence.
You specify assessment in query params like test_grade=5.
There is a single assessment stage per grade, so this parameter
is enough to identify the assessment stage after which you want to get the next stage.
You can specify the test type too like test_type=placement or test_type=test_out.
If you don’t provide test_type, it will be considered as end_of_grade.
Special Input Cases
- FastMath sequence
For FastMath sequence you need to be cautious with
test_typebecause this sequence contains Accuracy Assessment (test_out) and Fluency Assessment (end_of_course) for each grade. So if you omit this parameter in FastMath, you will get the stage after the Fluency Assessment of the specified grade.
You need to provide cqpm (correct questions per minute) query parameter
when test_type is end_of_course or omitted (default).
This is because the FastMath sequence makes a progression decision based on both CQPM and score percentage.
- Language sequence
This sequence has two assessments on the same grade (grade 0).
When you want to know what is after the first assessment (
Grade K AlphaTest Assessment (Reading + Lang)) - you can use the existing parameters.
But when you want to know what is after the second assessment (Literably ORD Assessment Level D) -
you need to provide wcpm (words correct per minute) query parameter.
You get this from the Literably ORD Assessment Level D test results.
If you don’t do that the system won’t be able to tell two assessments on the same grade apart and will return
the stage after the first assessment (Grade K AlphaTest Assessment (Reading + Lang)).
Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier (UUID)
Query Parameters
The test score (percent)
"90"
-1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 test_out, placement, end_of_course Correct Questions Per Minute for FastMath
Word Count Per Minute for Language
The source/provider of the assessment the student just completed. Use 'literably' when reporting a Literably Oral Reading Fluency result; omit or pass 'mastery' for the default MasteryTrack assessment.
mastery, literably "mastery"
"literably"
Response
Course Sequence Stage
The unique identifier of the stage. For course type stages it is the course id.
The title of the stage. For course type stages it is the course title.
1 - 255The K-12 grade level associated with the stage.
-1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 The subject associated with the stage
Reading, Language, Vocabulary, Social Studies, Writing, Science, FastMath, Math, None, Other The type of the stage
course, assessment, hole-filling The additional properties associated with the stage